Summary: The GNU version of the awk text processing utility.
Name: gawk
Version: 4.1.2
Release: 1
License: GPL
Group: Applications/Text
URL: http://www.gnu.org/software/gawk/
Source0: ftp://ftp.gnu.org/gnu/gawk/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/gawk/%{name}-%{version}.tar.gz.sig
Source2: ftp://ftp.gnu.org/gnu/gawk/%{name}-%{version}-pdf.tar.bz2
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: patch
BuildRequires: gettext
BuildRequires: mpfr-devel >= 3.1.2-1
BuildRequires: libsigsegv-devel >= 2.10-1
BuildRequires: readline-devel >= 6.3-5
Requires: gettext
Requires: mpfr >= 3.1.2-1
Requires: libsigsegv >= 2.10-1
Requires: readline >= 6.3-5
Requires: /sbin/install-info, info

%description
The gawk packages contains the GNU version of awk, a text processing
utility. Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -b 2
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_libexecdir}/awk/* || :

ln -sf gawk.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/awk.1

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/gawk*info*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

(
  cd ${RPM_BUILD_ROOT}%{_libdir}/%{name}

  for f in *.a ; do
    /usr/bin/ar -X32 -x ${f}
  done
)

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib share
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done

  rm usr/bin/awk
  mkdir -p usr/linux/bin
  ln -sf ../../..%{_bindir}/awk usr/linux/bin
)


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README COPYING NEWS*
%doc README_d POSIX.STD doc/*awk*.pdf
%{_bindir}/*
%{_includedir}/*
%{_libdir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_infodir}/gawk*info*
%{_libexecdir}/awk
%{_datadir}/awk
%{_datadir}/locale/*/*/*
/usr/bin/*
/usr/linux/bin/*
/usr/include/*
/usr/share/awk


%changelog
* Fri May 01 2015 Michael Perzl <michael@perzl.org> - 4.1.2-1
- updated to version 4.1.2

* Wed Apr 09 2014 Michael Perzl <michael@perzl.org> - 4.1.1-1
- updated to version 4.1.1

* Fri Dec 28 2012 Michael Perzl <michael@perzl.org> - 4.0.2-1
- updated to version 4.0.2

* Thu Mar 29 2012 Michael Perzl <michael@perzl.org> - 4.0.1-1
- updated to version 4.0.1

* Thu Jun 30 2011 Michael Perzl <michael@perzl.org> - 4.0.0-1
- updated to version 4.0.0

* Thu Jul 01 2010 Michael Perzl <michael@perzl.org> - 3.1.8-2
- removed dependency on gettext >= 0.17

* Mon May 10 2010 Michael Perzl <michael@perzl.org> - 3.1.8-1
- updated to version 3.1.8

* Wed Sep 02 2009 Michael Perzl <michael@perzl.org> - 3.1.7-1
- updated to version 3.1.7

* Mon Mar 17 2008 Michael Perzl <michael@perzl.org> - 3.1.6-1
- first version for AIX V5.1 and higher
